| kspaceFirstOrder3D-OMP 1.1 The C++ implementation of the k-wave toolbox for the time-domain simulation of acoustic wave fields in 3D

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Friends Pages
Public Types | Public Member Functions | Public Attributes | List of all members
TMatrixRecord Struct Reference

A structure storing details about the matrix. The matrix container stores this structures. More...

`#include <MatrixContainer.h>`

Collaboration diagram for TMatrixRecord:
[legend]

## Public Types
enum | TMatrixDataType { mdtReal, mdtComplex, mdtIndex, mdtFFTW, mdtUxyz }
| All possible types of the matrix.

## Public Member Functions
| TMatrixRecord ()
| Default constructor.
| TMatrixRecord (const TMatrixRecord &src)
| Copy constructor. More...
TMatrixRecord & | operator= (const TMatrixRecord &src)
| operator = More...
void | SetAllValues (TBaseMatrix *MatrixPtr, const TMatrixDataType MatrixDataType, const TDimensionSizes DimensionSizes, const bool LoadData, const bool Checkpoint, const string HDF5MatrixName)
| Set all values of the record. More...

## Public Attributes
TBaseMatrix * | MatrixPtr
| Pointer to the matrix object.
TMatrixDataType | MatrixDataType
| Matrix data type.
TDimensionSizes | DimensionSizes
| Matrix dimension sizes.
bool | LoadData
| Is the matrix content loaded from the HDF5 file.
bool | Checkpoint
| Is the matrix necessary to be preserver when checkpoint is enabled.
string | HDF5MatrixName
| HDF5 matrix name.

## Detailed Description

A structure storing details about the matrix. The matrix container stores the list of these records with the data.

Definition at line 110 of file MatrixContainer.h.

## Constructor & Destructor Documentation

TMatrixRecord::TMatrixRecord | ( | const TMatrixRecord & | src | ) |

Copy constructor of TMatrixRecord.

Parameters

  [in] | src |

Definition at line 60 of file MatrixContainer.cpp.

## Member Function Documentation

TMatrixRecord & TMatrixRecord::operator= | ( | const TMatrixRecord & | src | ) |

operator = of TMatrixRecord

Parameters

  [in] | src |

Returns
  this

Definition at line 78 of file MatrixContainer.cpp.

void TMatrixRecord::SetAllValues | ( | TBaseMatrix * | MatrixPtr,
|  | const TMatrixDataType | MatrixDataType,
|  | const TDimensionSizes | DimensionSizes,
|  | const bool | LoadData,
|  | const bool | Checkpoint,
|  | const string | HDF5MatrixName
| ) |  |

Set all values for the record

Parameters

  [in] | MatrixPtr | - Pointer to the MatrixClass object
  [in] | MatrixDataType | - Matrix data type
  [in] | DimensionSizes | - Dimension sizes
  [in] | LoadData | - Load data from file?
  [in] | Checkpoint | - Checkpoint this matrix?
  [in] | HDF5MatrixName | - HDF5 matrix name

Definition at line 105 of file MatrixContainer.cpp.

The documentation for this struct was generated from the following files:

- MatrixClasses/MatrixContainer.h
- MatrixClasses/MatrixContainer.cpp